Subject: Re: [its] Article + TED talk

From: Emmanuel Baccelli <[email-masked]>
Date: Fri, 26 Jul 2013 10:22:30 +0200

Hi Richard,
yes you're right, IP does not make coffee.
But realistically, nowadays, you rather have to justify why you're *not*
using IP, rather than why you *are* using IP.
I don't think 5-10% savings are a good enough reason to not use IP.
Best,
Emmanuel

On Fri, Jul 26, 2013 at 9:11 AM, Richard Roy <[email-masked]> wrote:

>  See below ...****
>
> ** **
>   ------------------------------
>
> *From:* Emmanuel Baccelli [mailto:[email-masked]]
> *Sent:* Thursday, July 25, 2013 6:55 AM
> *To:* [email-masked]
> *Subject:* Re: [its] Article + TED talk****
>
> ** **
>
> Hi Alexandru,****
>
> rant permission granted. These links where not pointing to any technically
> interesting content as far as *we* are concerned. But we can still use this
> content to say something like: "if you're motivated by such high level
> perspectives (as depicted in TED Talk, article, you-name-it), then you
> should let us do it with IP, because other solutions will suck fast".****
>
> *[RR>] You really need to understand the application requirements before
> making such a statement.  In the TED talk, the message was "let your car
> [ed: and the pedestrian on the sidewalk and the bicyclist in the bike lane]
> BROADCAST its kinematic state estimate [ed. and its estimate error
> covariance] to all others in the vicinity [ed. at an appropriate rate] so
> that all cars in a local area [ed. can build up a Local Dynamic Map or LDM
> and] can avoid collisions.  This is all point-to-point communications with
> no network required or desired at all ... not even an ad hoc network of
> vehicles ... just BSMs/CAMs (here-I-am messages) transmitted to increase
> safety on the roads.  For this particular application, there is NO need for
> a 40 byte IPv6 header when a 3 byte header (se FNTP) will suffice.
>  Maximizing useful content transfer in a capacity constrained channel is a
> VERY good idea.  Those 37 saved bytes turn out to be roughly somewhere from
> 5-10% (depending on data sent, certificate sizes and a few other things) of
> the transmitted stream (PPDU) over the air, and that's not inconsequential
> when talking about your personal physical safety or that of your family!
> *
>
> * *
>
> *IP is a sound and obviously successful NETWORKING technology ... however
> that does NOT mean it can brush your teeth too!  That's a job for
> toothbrushes!*
>
> * *
>
> *RR*
>
> *   ian on the sidewalk] BROADCAST its kinematic state estiamte a*****
>
> Best****
>
> Emmanuel****
>
> ** **
>
> ** **
>
> On Thu, Jul 25, 2013 at 3:32 PM, Alexandru Petrescu <
> [email-masked]> wrote:****
>
> Emmanuel,
>
> Allow me to rant on this.
>
> These and other[*] pointers are good illustrations about how intriguing
> visions of car-to-car communications could be developped.  The TED
> presentation is particular in that it uses drama tools to sell car-talk
> technology.
>
> In general, the vehicular industry players are excellent dream makers
> since some time now: the car itself is such.  Add this or that option
> and it's so much better.
>
> I personally look at them in some detail, actively searching for one
> particular facet of such vision: do they mention the challenges of _IP_
> communications from vehicle to vehicle?
>
> Because some if not all V2V visions getting front stage seem to focus
> on matters other than IP: radar/lidar-based echo detection of nearby
> vehicles and pedestrians, fast and rough form recognition, broadcasting
> tourism information.  As stimulating as they may appear, they may have
> little to do with IP - some demonstrated prototypes not doing IP.
>
> When someone says 'V2V' I feel the urge to ask some questions:
>
> Is it V-to-LTE-BaseStation-to-HA-and-back-to-V?  Is it
> V-to-ITSStation-to-V?  Or is it direct V-to-V without any fixed
> infrastructure in between?
>
> Is it radio beam echoed back by a solid? (aka 'radar')
>
> Velocity transmitted from one V to another is how? kmph or mph?
> transmitted as value or detected by radars?  as a sequence of positions
> with time measured at destination? Is it localization data as WGS84 or
> as ED50 (or otherwise how to automate the promotion of 802.11p over
> 800MHz-LTE near old military camps)?
>
> IF these V-to-V data transmitted are actually IP packets, what are src
> and dst addresses?  How do vehicles 'discover' each other?  Where do
> they get their addresses from?
>
> LED headlights avoid blinding the incoming driver, but are they LiFi and
> IP-over-LiFi?
>
> Because, some of the visions may bear little ressemblance to what may
> get deployed - they may be too high level.  Even on this email list, we
> have seen statements about visions, and counter statements about some
> visions being just dreams.
>
> Alex
> [*] The Economist ran recently an entire Quarterly about the Future of
> the Car "Clean, safe and it drives itself", and an article on
> "Driverless Automobiles" (imagine _that_ w/o communication - a nightmare).
>
>
> Le 25/07/2013 12:25, Emmanuel Baccelli a écrit :****
>
> ** **
>
> Hi guys,
>
> I don't know how technically relevant these are, but I stumbled on
> an article and a TED talk that advocate for car-to-car
> communications and ITS. So I thought I'd just share them, just in
> case there might be something relevant/useful for someone here.
>
>
> http://www.computerworld.com/s/article/9241037/Feds_want_cars_to_talk_to_each_other
>
>
>
>
>
>
>
>
> ****
>
>
> http://www.ted.com/talks/jennifer_healey_if_cars_could_talk_accidents_might_be_avoidable.html
> ****
>
>
> Best,
>
> Emmanuel
>
>
> _______________________________________________ its mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/its****
>
>
>
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its****
>
> ** **
>

---

From: Emmanuel Baccelli <[email-masked]>
Date: Fri, 26 Jul 2013 10:53:27 +0200

Hi Richard,
I understand your argument. On the other hand, if using IP makes the
technology cheaper (which often happens nowadays), then you could actually
save lives because more cars will be equipped more quickly.
Best
Emmanuel

On Fri, Jul 26, 2013 at 10:46 AM, Richard Roy <[email-masked]> wrote:

> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Emmanuel Baccelli
> *Sent:* Friday, July 26, 2013 1:23 AM
> *To:* [email-masked]
> *Cc:* [email-masked]
>
> Hi Richard,****
> yes you're right, IP does not make coffee.****
>
> using IP, rather than why you *are* using IP.****
>
> I don't think 5-10% savings are a good enough reason to not use IP.****
>
> *[RR>] You are of course free to have such thoughts.  However, allow me
> to suggest that it is a really good reason when safety of life and property
> are involved.  If you were the 1 in 10 that lost his/her life because of
> extra needless congestion on the channel, congestion which could have been
> prevented by not using a verbose and useless protocol for this application,
> I suggest you'd care ... or at least your family would care.  Not all
> communications on the planet need IP.*
>
> * *
>
> *RR*
>
> * *
>
> ** **
>
> Best,****
>
> Emmanuel****
>
> ** **
>
> *****
> * *****
> toothbrushes!*****
> * *****
> *RR*****

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 26 Jul 2013 14:09:29 +0200

Le 26/07/2013 10:53, Emmanuel Baccelli a écrit :
> Hi Richard, I understand your argument. On the other hand, if using
> IP makes the technology cheaper (which often happens nowadays),

Right, and relating to Dick's toothbrush metaphor: not only an IP app to 
brush the teeth would cost less than the typical toothbrush, but it 
would improve teeth care (just think what the smartphone's vibrator and 
camera could do).

Alex

> then you could actually save lives because more cars will be equipped
> more quickly. Best Emmanuel
>
>
> On Fri, Jul 26, 2013 at 10:46 AM, Richard Roy <[email-masked]
> <mailto:[email-masked]>> wrote:
>
> __ __
>
> __ __
>
> ------------------------------------------------------------------------
>
>  *From:[email-masked]
> <mailto:[email-masked]>
> [mailto:[email-masked]
> <mailto:[email-masked]>] *On Behalf Of *Emmanuel
> Baccelli *Sent:* Friday, July 26, 2013 1:23 AM *To:*
> [email-masked] <mailto:[email-masked]> *Cc:* [email-masked]
> <mailto:[email-masked]>
>
>
> *Subject:* Re: [its] Article + TED talk ____
>
> __ __
>
> Hi Richard,____
>
> yes you're right, IP does not make coffee.____
>
> But realistically, nowadays, you rather have to justify why you're
> *not* using IP, rather than why you *are* using IP.____
>
> I don't think 5-10% savings are a good enough reason to not use
> IP.____
>
> */[RR>] You are of course free to have such thoughts.  However, allow
> me to suggest that it is a really good reason when safety of life and
> property are involved.  If you were the 1 in 10 that lost his/her
> life because of extra needless congestion on the channel, congestion
> which could have been prevented by not using a verbose and useless
> protocol for this application, I suggest you'd care ... or at least
> your family would care.  Not all communications on the planet need
> IP.____/*
>
> */__ __/*
>
> */RR____/*
>
> */__ __/*
>
> __ __
>
> Best,____
>
> Emmanuel____
>
> __ __
>
> On Fri, Jul 26, 2013 at 9:11 AM, Richard Roy <[email-masked]
> <mailto:[email-masked]>> wrote:____
>
> See below ...____
>
> ____
>
> ------------------------------------------------------------------------
>
>  *From:*Emmanuel Baccelli [mailto:[email-masked]
> <mailto:[email-masked]>] *Sent:* Thursday, July 25, 2013
> 6:55 AM *To:* [email-masked] <mailto:[email-masked]> *Subject:* Re: [its]
> Article + TED talk____
>
> ____
>
> Hi Alexandru,____
>
> rant permission granted. These links where not pointing to any
> technically interesting content as far as *we* are concerned. But we
> can still use this content to say something like: "if you're
> motivated by such high level perspectives (as depicted in TED Talk,
> article, you-name-it), then you should let us do it with IP, because
> other solutions will suck fast".____
>
> */[RR>] You really need to understand the application requirements
> before making such a statement.  In the TED talk, the message was
> "let your car [ed: and the pedestrian on the sidewalk and the
> bicyclist in the bike lane] BROADCAST its kinematic state estimate
> [ed. and its estimate error covariance] to all others in the vicinity
> [ed. at an appropriate rate] so that all cars in a local area [ed.
> can build up a Local Dynamic Map or LDM and] can avoid collisions.
> This is all point-to-point communications with no network required or
> desired at all ... not even an ad hoc network of vehicles ... just
> BSMs/CAMs (here-I-am messages) transmitted to increase safety on the
> roads.  For this particular application, there is NO need for a 40
> byte IPv6 header when a 3 byte header (se FNTP) will suffice.
> Maximizing useful content transfer in a capacity constrained channel
> is a VERY good idea.  Those 37 saved bytes turn out to be roughly
> somewhere from 5-10% (depending on data sent, certificate sizes and a
> few other things) of the transmitted stream (PPDU) over the air, and
> that's not inconsequential when talking about your personal physical
> safety or that of your family! /*____
>
> *//*____
>
> */IP is a sound and obviously successful NETWORKING technology ...
> however that does NOT mean it can brush your teeth too!  That's a job
> for toothbrushes!/*____
>
> *//*____
>
> */RR/*____
>
> */   ian on the sidewalk] BROADCAST its kinematic state estiamte
> a/*____
>
> Best____
>
> Emmanuel____
>
> ____
>
> ____
>
> On Thu, Jul 25, 2013 at 3:32 PM, Alexandru Petrescu
> <[email-masked] <mailto:[email-masked]>>
> wrote:____
>
> Emmanuel,
>
> These and other[*] pointers are good illustrations about how
> intriguing visions of car-to-car communications could be developped.
> The TED presentation is particular in that it uses drama tools to
> sell car-talk technology.
>
> In general, the vehicular industry players are excellent dream
> makers since some time now: the car itself is such.  Add this or that
> option and it's so much better.
>
> particular facet of such vision: do they mention the challenges of
> _IP_ communications from vehicle to vehicle?
>
> Because some if not all V2V visions getting front stage seem to
> focus on matters other than IP: radar/lidar-based echo detection of
> nearby vehicles and pedestrians, fast and rough form recognition,
> broadcasting tourism information.  As stimulating as they may appear,
> they may have little to do with IP - some demonstrated prototypes not
> doing IP.
>
> transmitted as value or detected by radars?  as a sequence of
> positions with time measured at destination? Is it localization data
> as WGS84 or as ED50 (or otherwise how to automate the promotion of
> 802.11p over 800MHz-LTE near old military camps)?
>
> IF these V-to-V data transmitted are actually IP packets, what are
> src and dst addresses?  How do vehicles 'discover' each other?  Where
> do they get their addresses from?
>
> LED headlights avoid blinding the incoming driver, but are they LiFi
> and IP-over-LiFi?
>
> Because, some of the visions may bear little ressemblance to what
> may get deployed - they may be too high level.  Even on this email
> list, we have seen statements about visions, and counter statements
> about some visions being just dreams.
>
> Alex [*] The Economist ran recently an entire Quarterly about the
> Future of the Car "Clean, safe and it drives itself", and an article
> on "Driverless Automobiles" (imagine _that_ w/o communication - a
> nightmare).
>
>
> Le 25/07/2013 12:25, Emmanuel Baccelli a écrit :____
>
> ____
>
> Hi guys,
>
> I don't know how technically relevant these are, but I stumbled on an
> article and a TED talk that advocate for car-to-car communications
> and ITS. So I thought I'd just share them, just in case there might
> be something relevant/useful for someone here.
>
> ____
> http://www.ted.com/talks/jennifer_healey_if_cars_could_talk_accidents_might_be_avoidable.html____
>
>
>
> Best,
>
> Emmanuel
>
>
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/its____
>
>
>
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/its____
>
> ____
>
> __ __
>
>
>
>
> [email-masked] https://www.ietf.org/mailman/listinfo/its
>

---

From: John Kenney <[email-masked]>
Date: Fri, 26 Jul 2013 13:19:47 -0700

I agree with Dick on this. For these single-hop unacknowledged broadcast
use cases, which are driving deployment of DSRC/C-ITS, IP offers no
advantage in cost, speed of deployment or anything else. The overhead is
indeed significant as we face the prospect of heavy channel congestion.
We've worked hard to save a few bytes here and there in other parts of the
stack, so avoiding the IP/UDP/TCP header overhead made sense.

It may be tempting to think these decisions were made by people who were
ignorant of IP or otherwise simply didn't know any better. I assure you
that is not the case.

Best Regards,
John Kenney

On Fri, Jul 26, 2013 at 1:53 AM, Emmanuel Baccelli <
[email-masked]> wrote:

> On Fri, Jul 26, 2013 at 10:46 AM, Richard Roy <[email-masked]>wrote:
>
>>  ** **
>>
>> ** **
>> *From:* [email-masked] [mailto:[email-masked]]
>> *On Behalf Of *Emmanuel Baccelli
>> On Fri, Jul 26, 2013 at 9:11 AM, Richard Roy <[email-masked]>
>> wrote:****
>>
>> See below ...****
>>
>>  ****
>> technically interesting content as far as *we* are concerned. But we can
>> still use this content to say something like: "if you're motivated by such
>> high level perspectives (as depicted in TED Talk, article, you-name-it),
>> then you should let us do it with IP, because other solutions will suck
>> fast".****
>>
>> *IP is a sound and obviously successful NETWORKING technology ...
>> however that does NOT mean it can brush your teeth too!  That's a job for
>> toothbrushes!*****
>>
>> * *****
>>
>> *RR*****
>>
> https://www.ietf.org/mailman/listinfo/its
>
>

-- 
John Kenney
Principal Researcher
Toyota InfoTechnology Center, USA
465 Bernardo Avenue
Mountain View, CA 94043
Tel: 650-694-4160. Mobile: 650-224-6644